Bug 140258 - Logitech QuickCam Zoom (new model) doesn't work (but it is easy to make it work)
Logitech QuickCam Zoom (new model) doesn't work (but it is easy to make it work)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-21 15:33 EST by Santiago Erquicia
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:10:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Santiago Erquicia 2004-11-21 15:33:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The Logitech Quickcam Zoom Silver (usb product ID: 046d:08b4) doesn't
work when connected.

According to http://www.saillard.org/pwc/README you need to load the
kernel module with the module option power_save=1.

I tried it under FC3 by doing the following:
[root@pampa santiago]# /sbin/rmmod pwc
[root@pampa santiago]# /sbin/rmmod pwcx
ERROR: Module pwcx does not exist in /proc/modules
[root@pampa santiago]# /sbin/modprobe pwc power_save=1

and now it's working perfectly!!!! 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Connect the usb webcam
2.Open camorama or gnomemeeting
3.
    

Actual Results:  Both programs don't show any image and they also block

Expected Results:  Show the image from the webcam

Additional info:

The problem is solved just by passing a kernel module parameter extra
for this particular usb product ID
Comment 1 Santiago Erquicia 2004-11-21 15:35:06 EST
Sorry for the unnecessary extra email but I selected kudzu as the
component because I didn't know where it really belongs to.
Comment 2 Bill Nottingham 2005-09-23 17:22:17 EDT
This should be done in the kernel module itself; if it's required for a
particular usb id, it should set it in the module.
Comment 3 Fedora Update System 2005-09-29 23:11:03 EDT
From User-Agent: XML-RPC

kernel-2.6.13-1.1526_FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Dave Jones 2005-09-30 01:09:34 EDT
ignore that last comment, I mistakenly put this bug id in the FC4 announce.
An FC3 build with this fix will happen soon (I just need to fix up some other
problems first).
Comment 5 Fedora Update System 2005-10-20 10:28:27 EDT
From User-Agent: XML-RPC

kernel-2.6.12-1.1380_FC3 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 6 Dave Jones 2005-10-25 04:48:12 EDT
Please give that kernel a try. If it works out, I'll push that change upstream.
Comment 7 Dave Jones 2006-01-16 17:33:14 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 8 Dave Jones 2006-02-03 01:16:21 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 9 John Thacker 2006-05-04 09:10:45 EDT
Closing per previous two comments.

Note You need to log in before you can comment on or make changes to this bug.